Gajim - 2019-06-01


  1. Link Mauve marmistrz, libnotify is deprecated also on Linux, you should use Gio’s GNotification instead in every case.
  2. dragneel1994 hi guys ! i want to know wich library it used on omemo plugin ? pycrypto or cryptodom ? or what ?
  3. wurstsalat dragneel1994, have a look here: https://dev.gajim.org/gajim/gajim-plugins/blob/master/omemo/backend/liteaxolotlstore.py and here: https://dev.gajim.org/gajim/gajim-plugins/blob/master/omemo/backend/aes.py
  4. dragneel1994 thank you wurstsalat !!
  5. wurstsalat dragneel1994, what's your plan?
  6. dragneel1994 axolotl is for key exchange ? right ?
  7. Zash Wasn't "axolotl" the previous name before they changed it to "signal protocol" for what I assume were marketing reasons?
  8. dragneel1994 yes !
  9. dragneel1994 so omemo use its own library for encryption ?
  10. dragneel1994 i didnt found any encryption modul that i know !
  11. dragneel1994 i found this : from omemo import file_crypto
  12. dragneel1994 does omemo use that ? https://pypi.org/project/fileCrypto/ ?
  13. wurstsalat that is a module import (file_crypto.py in the same folder)
  14. wurstsalat what's your plan?
  15. dragneel1994 i want just to know if omemo use a newer/safer modul !
  16. wurstsalat safer or newer than what?
  17. Zash and why
  18. dragneel1994 if there is better modul why not we should change it ! right ?
  19. dragneel1994 recently i was triyng to code a python file crypter and i discoverd that there is a huge diffirece between moduls !
  20. dragneel1994 at the end i used cryptography modul !
  21. wurstsalat you should take a closer look (I linked to some relevant parts)
  22. dragneel1994 okey !
  23. bot Daniel created an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/issues/9719 >: #9719: < Bug report >
  24. bot Daniel Brötzmann closed an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/issues/9719 >: #9719: < Bug report >
  25. bot Daniel Brötzmann modified an issue in _gajim-plugins_ < https://dev.gajim.org/gajim/gajim-plugins/issues/368 >: #368: < [preview] Wrong click position >
  26. bot Daniel Brötzmann closed a merge request for _gajim-plugins/master_ < https://dev.gajim.org/gajim/gajim-plugins/merge_requests/134 >: WIP ugotit
  27. bot Daniel Brötzmann proposed a new merge request for _gajim-plugins/master_ < https://dev.gajim.org/gajim/gajim-plugins/merge_requests/135 >: [preview] Code cleanup
  28. bot Daniel Brötzmann proposed a new merge request for _gajim/master_ < https://dev.gajim.org/gajim/gajim/merge_requests/449 >: PluginsGUI: Disable expand for installed plugins box